From e10608c4354e189e089af0b238a4a062f87fde1c Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 14:29:46 +0000
Subject: [PATCH 249/254] Also, in long_form.


---

diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index 77a57ab..68af7eb 100644
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -115,17 +115,20 @@ def data(session, widget, username, fmn_context):
     for match in matches:
         match['markup'] = match['subtitle']
         for username in match['usernames']:
-            match['markup'] = match['markup'].replace(
-                username, '<a href="{url}">@{username}</a>'.format(
-                    url=flask.url_for('hub', name=username),
-                    username=username,
-                ))
+            args = (username, '<a href="{url}">@{username}</a>'.format(
+                url=flask.url_for('hub', name=username),
+                username=username,
+            ))
+            match['markup'] = match['markup'].replace(*args)
+            match['long_form'] = match['long_form'].replace(*args)
+
         for package in match['packages']:
-            match['markup'] = match['markup'].replace(
-                package, '<a href="{url}">{package}</a>'.format(
-                    url='https://apps.fedoraproject.org/packages/' + package,
-                    package=package,
-                ))
+            args = (package, '<a href="{url}">{package}</a>'.format(
+                url='https://apps.fedoraproject.org/packages/' + package,
+                package=package,
+            ))
+            match['markup'] = match['markup'].replace(*args)
+            match['long_form'] = match['long_form'].replace(*args)
 
 
     return dict(

